0.11.0 (24 Jan 2017)
- [kernel] linux-image-4.1.6-voyage_17.2-1 for Voyage Linux
	- [general] support /proc/config.gz
	- [netfilter] reenable nat for iptables
	- [bluetooth] reenable BT RFCOMM
	- [net] support et131x
	- [i2c] support ali chipset
	- [snd] support hda core
	- [blkdev] support mmc for apu2
	- [rtc] support ds13xx and ds16xx driver
	- [fs] support ext2/3 xattr
	- [leds] support apu2 leds
- [kernel] linux-image-4.1.6-voyage-rt-rt3_17.2-1 for Voyage MPD
	- [general] config same as linux-image-4.1.6-voyage
	- [rt] use rt-patch from 4.1.6 debian package.
- [general/live]
	- update to Debain Jessie 8.7
	- [live] fix build using 4.x kernel series
- [mpd] 0.19.12-1~bpo8+1
	- use jessie-backport package
- [voyage-util] 0.17
	- format-cf.sh supports MMC block device (e.g. mmcblk0p1)
	- add APU2 profile
	- change motd version to 0.11.0
	- init.d support APU2 profile and leds-apu2

0.10.0 (01 May 2015)
- [kernel] linux-image-3.16.7-ckt9-voyage_16.0-1 for Voyage Linux
	- [general] enable cgroup
        - [general] enable EFI support
        - [fs] enable squashfs xattr
	- [leds] enable libatat leds
- [kernel] linux-image-3.14.12-voyage-rt-rt9_15.2-1 for Voyage MPD
	- [general] enable cgroup
	- [general] enable EFI support
	- [fs] enable squashfs xattr
- [general/live]
	- update to Debain Jessie 8.0
	- [general] update sshd config for jessie
	- [general] chnage to 3.16.7 kernel for Voyage Linux only
	- [general] add shairport package for MPD
	- [general] update to use 0.10 repo
	- [live] add voyage repo for binary
	- [live] update build script for jessie build
	- [live] update package lists for jessie build
	- [live] build with debian jessie 8.0
	- [live] Use live-build 4.0.x
	- [live] support for live-image prefix for live image file name
	- [live] fix pxelinux.0 not found
	- [live] fix ldlinux.c32 not found
- [mpd] 0.19.9-1
	- new upstream release http://www.musicpd.org/download.html
- [voyage-util] 0.16
	- force create fs in format-cf.sh
	- set hostname to voyage when install
	- change motd version to 0.10.0
  	- prepare for jessie
	- add AUTHORS COPYING INSTALL README
	- update copyright

0.9.5 (11 Nov 2014)
- [kernel] linux-image-3.14.12-voyage_15.0-1 for Voyage Linux
	- [cpufreq] enable cpufreq 
	- [netfilter] add xt match l2tp
	- [ata] add pata_sc1200
	- [netdev] add ath10k
	- [gpio] add gpio_fch for APU
	- [gpio] change gpio_cs5535 to loadable module
	- [snd] add usb hiface module
	- [hid] add appleir, aureal and magicmouse
	- [usb] add ch341 usb serial
	- [usb] add usb ethernet
	- [leds] add leds for APU
	- [leds] add cpu led trigger
- [kernel] linux-image-3.14.12-voyage-rt-rt9_15.0-1 for Voyage MPD
	- Enable PREEPT_RT_FULL full realtime preemption
- [general/live]
	- update to Debian 7.7
	- [general] add ath10k firmware
	- [general] now split interface conf into /etc/network/interfaces.d/*.conf, for better configuration control and make provision for webgui change
	- [general] add recovery option in live kernel parameter
	- [general] MPD: correct default for ALSA devices
	- [general] mount ntfs for usbmount
	- [general] set default IP address 10.0.0.10 if no DHCP lease
	- [live] use rt kernel for MPD
	- [live] add support for realtime kernel
- [mpd] 0.17.6-1
	- new upstream release https://github.com/lintweaker/mpd-dsd
  	- Yan's buffer.c.diff and mpd-0.17.x-rtopt20131118.diff
- [voyage-util] 0.14-1
	- add LEDs for APU
	- change motd version to 0.9.5
	- re-enable netdev led trigger for APU
	- load sp5100-tco module for apu
	- add sync and halt option for autoinstall.sh
	- fix bash broken issue

0.9.2 (20 Dec 2013)
- [kernel] linux-image-3.10.11-voyage-13.0-1
	- [net] add IP tunnel
	- [wireless] add iwlwifi
	- [ide] depricate CONFIG_BLK_DEV_*
	- [rtc] remove old rtc, use new rtc_lib, rtc_class infrastructure
	- [usb] add USB touchscreen
	- [video] add hdmi
- [general/live]
	- update to Debian 7.3
	- [general] fix debian mirror list
	- [general] fix build date location
	- [general] fix and add new line in login banner
	- [live] add no-check-certificate when downloading prism firmware
	- [live] add proxy support
	- [live] add APU for pxe boot
	- [ngnix] fix ngnix cannot read /Music
	- [pxe] enhance netboot to pass targetdisk in cmdline
- [mpd] 0.18.4 git version
	- Yan's realtime option patch
- [voyage-util] 0.13-1
	- change motd version to 0.9.2
	- add APU installation profile
	- do not set error and quite in /etc/init.d/voyage-util
	- run remountro in last step in /etc/init.d/voyage-util start
	- remove w83627hf and leds-alix2 driver for ALIX profile as they are now obsoletted and/or replaced by others
	- fix multiple cards don't work in alsa_unmute
	- support passing TARGET_DISK in command line for autoinstall.sh
	- alsa_unmute error if /proc/asound not found

0.9.1 (20 Jun 2013)
- [kernel] linux-image-3.8.13-voyage_12.5-1 
	- [drm] remove GMA500, poulsbo driver
	- [usb] add USB HCD drivers
	- [usb] add USB ark3116 serial driver
	- [usb] add USB storage onetouch and cypress drivers
- [general/live]
	- update to Debian 7.1
	- fix README.live-CD and README.pxe for wrong mount path
	- update initramfs-tools to 0.112 from experimental, to fix USB boot issue from Live CD
	- disable eapol_version=1 in hostapd

0.9.0 (10 May 2013)
- [kernel] linux-image-3.8.11-voyage_12.4-1
	- [wireless] add ar5523 and wil6210
	- [net] add batman_adv_dat
	- [drm] add various drivers: Intel GMA, i810, etc.
	- [io] add paraport support
	- [misc] add ptp1588 support
- [general/live]
	- meshlium : fix button order
	- live build : add firmware-atheros for atheros USB/ath9k_htc for mpd
	- live build :add ctrl_interface for wlan0 hostapd
	- live build : disable APT_SECURE when build live
	- live build : do not require --package-lists any more
	- live build : disable zsync in live
	- live build : update kernel to 3.8.11
- [mpd] 0.18 git 20121124-2 version
	- support dsd sample rate up to 5644800
	- fix dsddiff hang issue at end of file
- [voyage-util] 0.12-3 version
	- voyage-util: fix autoinstall filesystem.squashfs not mounted

0.9-rc2 (31 Dec 2012)
- [kernel] linux-image-3.6.9-voyage_12.2-1
	- [generic] change from preempt to voluntary preemption
	- [netfilter] enable net team
	- [wireless] add ath6kl
	- [wireless] add broadcom 11n fullmac driver
	- [wireless] add Marvel WiFi-Ex driver for USB8797
	- [wireless] add rt2800 and rt3290 driver
	- [leds] add one-shot led triggers
	- [sound] enable SoC sound drivers
- [general/live]
	- fix motd with voyage banner: motd.tail no longer works on squeeze
	- add 6501 autoinstall for PXE and add ethdevice=eth0 for PXEboot
	- add wpa conf in /etc/network/interfaces
	- use inetutils-syslogd instead of klogd and sysklogd
	- remove all_generic_ide for pxeboot
	- Fix pxeboot to set inittab correctly
- [voyage-util]
	- voyage-util: change /rw to TMPFS_ROOT
	- voyage-util: add voyage-rwfile.sh and change /lib/init to /tmp
	- voyage-util: fix lilo installation error
	- voyage-util: set lilo prompt delay to 2s
	- voyage-util: unmute alsa at start-up
	- voyage-util: fix alsa_unmute function
	- voyage-util: fix /ro not copying to 
	- voyage-util: fix /tmp (TMPFS_ROOT) permission after copy from /ro
	- voyage-util: 0001-voyage-installer-prep-to-change-ROOT_FS-label-to-VOY.patch (Jim Cromie)
	- voyage-util: 0002-voyage-install-set-ROOT_LBL-VOYAGE_FS.patch (Jim Cromie)
	- voyage-util: 0003-copyfiles.sh-add-sync-may-not-be-needed-useful.patch (Jim Cromie)
	- voyage-util: 0004-voyage-install-guess-target-disk-from-partition-labe.patch
 (Jim Cromie)
	- voyage-util: assign VOYAGE_FS label to format-cf.sh

0.9-rc1 (30 Sep 2012)
- [kernel] linux-image-3.4.4-voyage_12.0-1
	- [netfilter] add netlink acct, conntrack procfs and timeout
	- [netfilter] add ecn and nfacct matach
	- [netfilter] remove rtsp nat support [not available in openwrt patch]
	- [fs] enable gfs2, hfs+
- [general/live]
	- new debian live config: change live-conf files and directory structure 
	- fix removing .svn in rootfs
- [voyage-util]
	- voyage-sync: skip sync at stop when running live cd
	- voyage-sync: detect /lib/init/rw (for squeeze)
	- voyage-sync: change tmpfs to /tmp
	- voyage-util: change version to 0.9
	- voyage-util: [PATCH] debug: add debug.rc and demo script mydbg.sh (Jim Cromie)
	- voyage-util: [PATCH] voyage-install: allow "Select Target Profile" to keep current settings (Jim Cromie)
- [mpd]
	- update to 0.18git as of 20120913
	- [PATCH] support of dsf file sample rate of up to 5644800
	- enable sndfile plug-in all time

0.8.5 (22 May 2012)
- [kernel] linux-image-3.2.17-voyage_11.0-1
	- [general] enable in-kernel alix
	- [general] enable sparse IRQ
	- [general] remove Moorestown platform support
	- [netfilter] add conntrack zones, timestamp
	- [netfilter] add xt target set, idletimer, tproxy
	- [netfilter] add match cluster, cpu, devgroup, ipvs, socket
	- [netfilter] add ipset netiface
	- [netfilter] add ipvs, enable all helpers and load balancing support
	- [netfilter] add clusterip package mangling
	- [net] enable DCB
	- [net] add phy drivers
	- [misc] add altera firmware download module
	- [i2c] add Intel eg20t, remove scx200_i2c (deprecated)
	- [gpio] enable in-kernel gpio_cs5535, enable gpio_pch
	- [usb] enable usb led, mass storage, uwb
	- [usb] enable announce new device
	- [leds] enable in-kernel leds-gpio
	- [fs] enable btrfs, squashfs zlib
	- [input] enable uinput and ati_remote2
	- [sound] enable CA0132 codec, static quirks for realtek codec
	- [ir] enable ITE CIR, fintek, redrat3
- [general]
	- based on Debian 6.0.5 "Squeeze"
	- Debian Live conf: workaround static IP configuration in webgui by disable wlan0 and wlan1 entries in /etc/network/interfaces
	- Debian Live conf: add clean target
	- Debian Live conf: fix to support 3.x.y kernel
	- add firmware-linux-nonfree
- [voyage-util]
	- new version 0.11-1
	- [PATCH] fix /etc/modprobe.d/.conf writer (Jim Cromie)
	- [PATCH 09/11] grub titles should have version, not date-of-install (Jim Cromie)
 	- add 6501 profile
	- force tsc clocksource for ALIX
- [one]
	- fix voyage one build failure on squeeze
	- add asterisk related package for ONE (ooh323, dahdi, mobile, mp3, voicemail, moh-opsound-gsm, modules)
	- add digium firmware to ONE and do not remove perl and nano package
	- asterisk 1.8.12.0~rc3
	- dahdi 2.6.1
- [mpd]
	- add nano package
	- make http://voyage.local/Music for MPod/MPad cover art
	- add php-fastcgi init.d script, to be used with nginx
	- add djmount to mpd
	- fix PATH in fastcgi
	- add voyage.local as site conf for nginx 
	- replace lighttpd with nginx for MPD
	- mpd 0.16.7
	- add ntfs-3g
	- do not log access.log in nginx

0.8.0 (31 Oct 2011)
- [kernel] linux-image-3.0.0-voyage_10.0-1
	- based on Debian kernel source 3.0.0-5
	- [general] enable IRQ force threading
	- [netfilter] add conntrack broadcast & SNMP
	- [netfilter] add xt target checksum, ct, tee
	- [netfilter] add ipset
	- [wireless] enable WiMAX and i2400
	- [wireless] add rt2800, rtl8192
	- [framebuffer] add riva, matrox, via, udl
	- [sound] enable alsa sound driver instead of using out-of-tree kernel modules
	- [amd64] enable IA32 emulation
- [general]
	- based on Debian 6.0.3 "Squeeze"
	- add sudo to voyage linux
	- add support of ath9k 11n in hostapd.conf
	- add ppp, pppoe, bzip2, psmisc, usbutils, libdaemon0, ifplugd, live-initramfs & live-boot-initramfs-tools packages
	- change to use 0.8 apt repository
	- change to use JP debian mirror as apt source as it is faster
	- rewrite README
	- hostapd 0.7.3-2
	- wpasupplicant 0.7.3-4
	- iw 3.1-1
- [voyage-util]
	- new version 0.10-1
	- Saving date with voyage-sync (Teco Boot)
	- add VOYAGE_SAVE_DATE_TIME in /etc/defaults/voyage-util
	- change banner version to 0.8
	- teach installer to write /etc/modprobe.d/profile.conf
	- add BOOTARGS to grub and lilo configs (Jim Cromie)
	- [PATCH 06/11] voyage-update.sh: setspeed doesnt exist (Jim Cromie)
	- [PATCH 07/11] spelling (Jim Cromie)
	- [PATCH 09/11] grub titles should have version, not date-of-install (Jim Cromie)
	- parallelize sync back to disk device
	- update /etc/hosts after copy files
	- support non-ext2 filesystem for installation
- [one]
	- change to use dahdi-firmware-nonfree
	- asterisk 1.8.4.2
	- asterisk-gui 2.1.0~rc1
	- dahdi 2.5.0
- [mpd]
	- disable sndfile plugin for mpd
	- mpd 0.16.5

0.7.5 (28 Jun 2011)
- [kernel] linux-image-2.6.38-voyage_9.0-1
	- based on Debian kernel source 2.6.38-5
	- [general] enable SMP, XZ & LZO compression
	- [netfilter] enable mark, connmark
	- [network] enable lstp, 802.15.4, tcp_md5sig
	- [ata] enable AMD, IXP, cs5535/6, VIA
	- [md] enable raid 0/1/10/456
	- [wireless] enable ath9k_htc, carl9170, rt2800, iwlwifi, rtlwifi
	- [voip] enable mISDN and driver
	- [sound] disable all sound drivers.  Now rely on external ALSA driver
	- [ir] enable lirc and drivers
	- [framebuffer] enable nVidia, i810, Intel, Matrox, Radeon, Geode_GX drivers
	- [leds] enable net5501 and usbdev trigger
	- [fs] enable NLS codepages and XZ for squashfs
	- [crypto] enable geode_aes
	- [misc] enable batman-adv, cs5535_mfgpt, gpio_cs5535
- [general]
	- based on Debian 6.0.2 "Squeeze"
	- remove madwifi package
	- add madwifi driver to backlist and make ath5k as default
	- add prism54 driver to backlist and make p54pci as default
	- fix lilo in kernel install symlink hook
	- remove pptpd, parprouted package
	- add nocatsplash, firmware-realtek, crda, wireless-regdb package 
	- add hostapd configuration defaults for nl80211-based device
- [voyage-util]
	- new version 0.9-1
	- use blkid since /lib/udev/vol_id no longer available in squeeze
- [one] 
	- remove most of network and VPN utils
	- update to Asterisk 1.8.3 and dahdi 2.4.0
	- add "voyage" user to asterisk-gui
- [mpd] 
	- use alsa-modules-2.6.38-voyage_1.0.24
 	- enable VOYAGE_SYNC_RECOVER
	- enable 5 min cron job for "voyage-sync sync"
	- enable utf8 for vfat/fat usb mount
	- add avahi-daemon and avahi-utils package

0.7.0 (08 Feb 2011)
- [kernel] linux-image-2.6.32-voyage_8.0-1
	- based on Debian 6.0 "Squeeze" kernel source 2.6.32-30
	- [wireless] enabled b43, brcm80211 
	- [telephony] enabled ISDN, mISDN
	- [usb] enabled cp210x, mos7840, wwan
	- [misc] enabled TREE_RCU, AGP, HIDRAW
	- [fs] enabled aufs 
- [kernel] linux-image-2.6.33.7-rt29-voyage_8.0-1 (for Voyage ONE and MPD)
	- based on Abogani's PPA realtime kernel 2.6.33.29.1
- [general] 
    - based on Debian 6.0 "Squeeze"
    - add dhcp3, makedev, sysklogd, klogd; 
    - remove sqlite3, deborphan, aufs-tools, inetutils-inetd, inetutils-syslogd, nocatsplash
    - do not remove dhcp3, remove libgdbm3
	- add iw to voyage package list
	- use grub-legacy instead grub2
	- remove aufs modules for squeeze and use in-kernel (2.6.32)
	- rename /var/lib/dhcp3 to /var/lib/dhcp
	- change prism54 firmware URL
	- rewrite some codes for building voyage linux, mpd and one
	- [madwifi] upgrade to madwifi-trunk 0.9.4+r4132trunk.20100921-1
- [live-cd]
    - add back all_generic_ide for LIVE CD
- [voyage-util]
    - fix format-cf.sh for not formating ext2fs
    - fix format-cf.sh not create ext2fs when legacy mode
    - insserv compatible for init.d scripts
    - add debug info when setting bootloader
    - use bash in format-cf.sh
    - Fix profile not loaded if providing "-P ALIX" in voyage-install.sh
	- change voyage (motd) banner to version 0.7
    - [voyage-sync] detect /ro before copying to rw
    - [voyage-sync] check sync dir before sync
	- [voyage-sync] write log to syslog
- [voyage-one]
    - New debian-live config for Voyage ONE
- [voyage-mpd]
    - New debian-live config for Voyage MPD
    - add lighttpd and webgui to MPD
    - add meshium webgui and mpd plugin
    
0.6.5 (17 Feb 2010)
- [kernel] linux-image-2.6.30-voyage_7.0-1
    - [general] Debian kernel source 2.6.30-8squeeze1
	- [general] enable lzma for kernel image compression
	- [general] enable verbose bootup with timestamp
	- [wireless] enable rate minstrel control, 80211s mesh
	- [ide] enable cs5536 block device
	- [net] enable PPP multi-link
	- [netdev] enable atl2, atl1 and atl1c
	- [netdev-wireless] enable ath9k, ar9170, rt2x00
	- [usb] enable hso, usb gadget amd5536
	- [i2c] enable gpiolib, gpio for sysfs, pcf857x, pcf9591 and scx200_i2C
	- [v4l] enable GSPCA based devices, philips cameras
	- [led] enable stock leds driver for alix2 and gpio led trigger
	- [fs] enable ext4 and built-in squashfs
	- [crypto] enable most of crypto drivers
	- [staging] enable et131x, rt2860, rt2870
- [madwifi] upgrade to madwifi-trunk 0.9.4+r4099trunk.20090929-1
- [misc]
	- /etc/network/interfaces add bintval 1000 and disable iwpriv ath0 mode 3 
	- do not remove /usr/share/zoneinfo
	- add usb mount udev rules
	- add back /ro directory to distro and add /var/lib/logrotate to /ro
	- change kernel package flavour to -voyage instead of -486-voyage
- [live-cd]
	- remove all_generic_ide in Live CD boot parameter
	- set mksquashfs to use -b 1M option
	- disable memtest, d-i and win32loader for Live CD
- [voyage-util]
    - better debhelper support for initscripts
    - reconfigure resolvconf at installation
    - fix profile and serial menu items without numbers
    - add new voyage-rwfile script to support /ro /rw style read-only mode
    - [voyage-sync] add empty directory checking 
    - [voyage-sync] fix .* hidden files not sync'ing
    - [voyage-sync] add VOYAGE_RW_DIRS for non-sync read-write directories
    - [voyage-sync] run sync command after finish synchronization to disk 
    - [voyage-sync] corrected some typos and preserve ownership and permissions on copied directories to ramdisk. Killing running processes got also some changes. (Hermann Hofer)
    - [voyage-sync] detect a reboot with data remaining in '/.sync/...' from a previously sync and copy this data over to the correct place before syncing and mounting to ramdisk. (Hermann Hofer)
    - PATCH[3/3]: command line processing for voyage.update (Christian Recktenwald)
    - PATCH: command line processing for format-cf.sh (Christian Recktenwald)
    - PATCH: prevent /sys /proc /dev and /tmp/cf from	being copied by	copyfiles.sh / alternate network installation procedure (Christian Recktenwald)
    - PATCH: Add -U flag to use flash media as-is (Darshaka Pathirana)

0.6.2 (07 Jul 2009)
- [kernel] linux-image-2.6.26-486-voyage_6.0-3
    - [general] Debian kernel source 2.6.26-17
	- [general] enable ACPI and PM
	- [general] enable printk with time
	- [ide] CONFIG_IDE=y and enable hpt366 
	- [netdev] enable tulip, de2104x and cs89x0
	- [usb] enable IR, IUU and TI chipset
	- [fs] enable xfs, autofs and nls_utf8
- [madwifi] upgrade to madwifi-trunk 0.9.4+r4022.20090513-1+6.0-3
- [misc]
	- add hostapd and wpa-supplicant configuration samples
	- change to use minstrel for madwifi rate control default
	- add quickboot for Live CD boot parameter
- [voyage-util]
	- add VOYAGE_UNIONFS to /etc/default/voyage-util
	- patch to fix selecting console for Generic PC not persist [Sean Lazar]
	- add do-update.sh
	- voyage-sync: add 'sync' command argument 
	- voyage-sync: kill process before unmount
	- voyage-sync: use tmpfs as default
	- voyage-sync: shutdown sequence change from K99 to S36

0.6.1 (17 Feb 2009)
- based on Debian 5.0 (lenny) release
- [kernel] linux-image-2.6.26-486-voyage_6.0-2
	- [general] Debian kernel source 2.6.26-13
	- [general] add microcode, MSR and CPUID support
	- [serial] 4 UARTS ports at runtime, additional serial modules
	- [usb] add sierra wireless module
	- [fs] add ntfs support
- [misc]
	- voyage-sync script
		- fix owner permission
		- configurable unionfs/aufs (WIP)
	- move voyage-sync and voyage-pxe to voyage-util package
	- fix atftp for pxe boot for generic pc
	- add debian mirror list to /etc/apt/sources.lst
	- add non-free and contrib to /etc/apt/sources.lst
	- new amd64 port and sdk distro

0.6.0 (29 Dec 2008)
- based on upcoming Debian 5.0 (testing/lenny) 
- both distro and Live CD built by Debian Live
- [kernel] linux-image-2.6.26-486-voyage_6.0-1
	- [general] Debian kernel source 2.6.26-12
	- [general] enable large block device
	- [iosched] re-enable as and deadline scheduling
	- [geode] new geode timer and watchdog
	- [netfilter] enable RATEEST & TARPIT target 
	- [netfilter] enable iprange, owner, rateest and time match support
	- [netsch] enable network emulator NETEM
	- [net] enable net dummy and macvlan
	- [net] increase IMQ devices to 16
	- [netdev] enable b44, NAPI for nforce
	- [netdev] enable bnx2, intel 82575 (igb) and atl1e
	- [wireless] enable b43 and b43legacy - replacing bcm43xx, 
	- [wireless] enable zd1211rw and rt2x00
	- [video] enable media tuner drivers, usb video and quickcam messenger
	- [ata] enable some drivers to kernel modules (for VMWare)
	- [crypto] geode-aes, padlock and hifn hardware crypto drivers as modules
	- [crypto] include ocf-linux patch
	- [usb] enable USB high speed mobile device (hso)
	- [misc.] enable firewire
	- [misc.] enable netdev led trigger 
- [madiwifi]
	- upgrade madwifi-modules to 1:0.9.4+r3772.20080716-1+6.0-1
	- upgrade madwifi-tools to 1:0.9.4+r3772.20080716-1+6.0-1
- [misc.] 
	- removed /rw and /ro and are replaced by aufs, for /var/log and /var/tmp
	- nocatsplash rebuild for Debian Lenny
	- netdev led trigger enabled for wrap and alix
	- pump to replace dhclient
	- add arptable, aufs, conntrack, file, lsof and sudo to distro
	- ocf-enabled libssl
	
0.5.2 (29 Jun 2008)
- [madiwifi] upgrade madwifi-modules-2.6.23-486-voyage to version 5.0-2
- [general] update wireless-tools to version 29-1

0.5.1 (23 Jun 2008)
- [kernel] linux-image-2.6.23-486-voyage_5.0-2
	- [general] enable math emulation
	- [netdev] enable gigabit dl2k, e1000e, ns83820 drivers
	- [framebuffer] enable lxfb for geodelx framebuffer support
	- [snd] enable snd_usb_audio
- [voyage-utils] 
	- enables heartbeat and ide LED drivers for ALIX and WRAP profiles.
	- new 4801 profile options
- [general] add security.debian.org to /etc/apt/sources.list

0.5.0 (29 Feb 2008)
- [kernel] linux-image-2.6.23-486-voyage_5.0-1
	- [general] Debian kernel source 2.6.23-2
	- [general] enable HPET and dynamic ticks
	- [geode] backport new mfgpt codes from 2.6.24
	- [net] built-in KLIPS for openswan
	- [netfilter] enable ipv6 netfilter
	- [scsi] add 3w_9xxx and aac_raid driver
	- [ata] add basic support for sata and pata drivers 
	- [wireless] add bcm43xx driver
	- [pcmcia] add basic support for PCMCIA usb network driver
	- [v4l] enable video capture, usb support and radio adaptor 
	- [fs] build-in unionfs
	- [misc] enable LED drivers
- [wireless]
	- madwifi driver update to 0.9.4rc2
- [general]
	- no. of fixes and enhancements in voyage.update [William Brack and Mike O'Connor]

0.4.1 (23 Jul 2007)
- [kernel] linux-image-2.6.20-486-voyage_4.0-2
	- [general] ubuntu kernel source 2.6.20-16.29 (Linux 2.6.20.10)
	- [ide] enable CS5535 chipset support
	- [netsched] add esfq queueing
	- [char] increase max. number of 8250 serial port to 20
	- [char] add AMD CS5535 UART2 as a serial port	
	- [char] add AMD Geode multi-purpose timers
	- [char] add real time clock support
	- [watchdog] add geodewdt for Geode GX/LX watchdog support
	- [hwmon] add k8temp and w83781d
	- [usb] add UDC/UOC support for Geode CS5536 companion chip
	- [snd] enable Advanced Linux Sound Architecture
	- [snd] ATI IXP, ALI and VIA AC97 controllers
	- [snd] CS5535 audio, SB Audigy, Creative Ensoniq/Emu10k1, Intel HD
- [wireless]
	- madwifi driver update to 0.9.3-3 with security fix
	- wireless-tools upgrade to 29pre22.
- [general]
	- add ALIX and 5501 profile in voyage.update and PXE boot menu
	- add build date in /etc/motd
	- move /etc/network/run to /rw
	
0.4.0 (23 Jun 2007)
- new x.y.z versioning scheme
- linux-image-2.6.20-486-voyage_4.0-1
	- [general] ubuntu kernel source 2.6.20-16.28 (Linux 2.6.20.10)
	- [iosched] set CFQ as default IO scheduler
	- [bus] add PCI Express and NatSemi SCx200 HR Timer support
	- [netfilter] add userland conntrack support
	- [netsched] add red and tbf queueing
	- [blkdev] add CS5535 support
	- [netdev] add forcedeth and VIA Rhine NAPI support
	- [wireless] remove ieee80211_softmac stack and ipw3945, add iwlwifi driver 
	- [wireless] add devicescape wireless stack - bcm43xx now uses dscape stack
	- [watchdog] add sc1200wdt, w83627hf_wdt, w83697hf_wdt and w83977f_wdt
	- [i2c] add CS5535 gpio support and remove incompatible i2c_nscacb
	- [usb] add Garmin USB serial support for GPS devices and QuickCam support
	- [cypto] add Geode LX AES support
- update madwifi-tools and madwifi modules (0.9.3)
- remove devices from /dev as udev taking care of it
- remove udev net-generator rules and script
- fix PXE boot with console screen 
- Live CD now shows splash logo at boot screen

0.3.1 (14 Apr 2007)
- sync with Debian 4.0 etch release
	
0.3 (16 Mar 2007)
- update madwifi-tools and madwifi modules (0.9.2_svnr2156)
- installation script update
- remove /etc/network/options, replaced with /etc/sysctl.conf
- Live CD: enable boot prompt and support auto-install
- trafmon script and bash_completion (by Solomon Asare)

0.3pre3 (28 Jan 2007)
- kernel-image-2.6.17-486-voyage_3.0-3
	- [general ] ubuntu kernel source 2.6.17.1-10.34 (Linux 2.6.17.14)
	- [scsi] Fusion MPT device
	- [netdev] gigabit ethernet: e1000, tg3, r8169
	- [fs] squashfs is now in kernel module
	- [fs] nfsd kernel module
- madwifi modules (0.9.2_svnr1842)
- add iperf, iptraf, netcat, sqlite3 & tcpdump 
- remove modutils

0.3pre2 (05 Dec 2006)
- kernel-image-2.6.17-486-voyage_3.0-2
	- removal of kernel drivers to minimize disk space
	- enable CAPI and mISDN driver
	- enable regparm
- madwifi modules (0.9.2_svnr1809)
- fix on ed/nano not removed cleanly
- update on voyage.update

0.3pre1 (17 Nov 2006)
- based on Debian 4.0 (etch) 
- kernel-image-2.6.17-486-voyage_3.0-1
	- [general] Ubuntu linux source 2.6.17-10.33
	- [general] kernel ticks count at 1000HZ 
	- [general] ACPI support
	- [netfilter] enable all netfilter xt_target
	- [netfilter] layer7, ipp2p, time netfilter support
	- [netfilter] NET_SCH_ESFQ, IFB and IMQ
	- [wireless] ieee80211_softmac and devicescape 802.11 wireless stack
	- [wireless] adm8211, bcm43xx, zd1211, acx, prism54_softmac, rtl818x, rtl8187
	- [wireless] ipw3945, rt2400, rt2500, rt61, rt73
	- [netdev] NE2000 ISA support
	- [netdev] pcnet PCMCIA support
	- [netdev] ISDN support
	- [fs] squashfs, unionfs and nfs v4	
- madwifi modules (0.9.2_svnr1784)
- booted with initrd and grub 
- newly written installation/updating scripts (by William M. Brack)
- voyage.update now in ./usr/local/sbin

0.2 (5 Apr 2006)
- kernel-image-2.6.15-486-voyage_2.0-10
	- Debian linux source 2.6.15-8
	- enable syn cookies
	- add hostap-EAPOL-fix.patch
- updated hostapd and wpasupplicant to 0.5.2
- madwifi-ng modules (r1491)
- add parprouted and bzip2
- voyage-util to sync /var/run in shutdown
- add voyage-configure.sh, format-cf.sh to /usr/local/sbin
- add voyage.conf to /etc
- add voyage login banner
- increase /rw tmpfs to 8M

0.2pre4 (26 Feb 2006)
- kernel-image-2.6.15-486-voyage_2.0-9
	- Debian linux source 2.6.15-7
	- PXE booting with CRAMFS (CONFIG_BLK_DEV_RAM, CONFIG_BLK_DEV_INITRD and CONFIG_CRAMFS)
	- i2c-nscacb support for Routerboard 
	- prism54 WDS support 
- add more samples in /etc/network/interfaces
- add bcm43xx firmware in /usr/lib/hotplug/firmware
- add new util, mount-proc.sh in /usr/local/sbin
- improved remove.docs
- add "options ath_pci autocreate=none" in /etc/modprobe.d/madwifi
- remove SystemV timezones
- madwifi-ng modules (r1453)
- add traceroute

0.2pre3 (05 Feb 2006)
- kernel-image-2.6.15-486-voyage_2.0-8
	- usbserial_maxsize.patch (usb high speed serial patch)
	- cdc-acm_2.6.14.c.patch (cdc_acm high speed patch)
	- NFS v3 client, rootfs & IP PNP (to support pxeboot in future)
	- remove madwifi driver in kernel source (now madwifi available in separate modules)
	- DOS/FAT/NT file systems 
	- SCSI disk storage (sd) and generic storage (sg) support 
	- NLS support for code page 437 and ISO-8859-1
	- loop and cloop 
- madwifi-ng modules (r1408) as default.
- root password now defaults to "voyage"
- DHCP enabled for dnsmasq 
- add less package
- wireless-tools 27+28pre13 
- customization scripts (in /usr/share/voyage-custom)

0.2pre2 (06 Jan 2006)
- kernel-image-2.6.15-486-voyage_2.0-7 
    - ipv6 basic support
	- video for linux
	- usb serial
	- lm77 fix for negative temperature (by Michael Renzmann)
	- scx200_acb probe delay fix (only 2.6.12, 2.6.14 and 2.6.15, by Ben Gardner)
	- madwifi-old CVS 20051224 
- add scx200_acb and lm77 to /etc/modules if for WRAP option in voyage.update
- regenerate ssh host keys for first time installation

0.2pre1 (21 July 2005)
- New 0.2 development
- kernel-image-2.6.8-486-voyage_2.0-2
    - Support module unload ( requested by Matthias Lemke )
    - sc520_wdt ported from 2.6.12 ( suggested by Pablo Osuna )
    - madwifi_20050712 MAIN branch (merged from BSD branch supported for 
adhoc mode)
    - hostap 0.3.9 driver
    - USB support
    - Bluetooth support
    - Remove ipw2100 module, which is available in separate kernel 
module package
- change apt repository to http://www.voyage.hk/dists/0.2
- use madwifi-tools instead of madwifi
- remove posix and right in /usr/share/zoneinfo (less 2MB in distro)
- change fstab to mount / as read-write 
- use /etc/init.d/voyage-util script (by Yiorgos Adamopoulos)
	- set root password in first run 
	- call /etc/init.d/rmnologin 
	- remount / read-only
- voyage.update
	- new WRAP option (detach from 4501/4801 option)
	- remove setting passwd
	- use reboot=bios (in lilo.conf) for WRAP

===========================================================================
0.1sarge (7 July 2005)
- special release for based on Debian Sarge (r3.1)

0.1 (14 Feb 2005)
- add ebtables and ifenslave
- update kernel image revision to 1.4 : kernel-image-2.6.8-486-voyage_1.4_i386.deb
	- enables i2c, lm77 sensors and other hardware sensors.
	
0.1pre5 (1 Feb 2005)
- fix high cpu consumption in nocatsplash 
- new Debian kernel source 2.6.8-13
	- update kernel image revision to 1.3 : kernel-image-2.6.8-486-voyage_1.3_i386.deb
	- add bonding, dm-mod and dm-crypt modules
	- add necessary modules required by OpenSWAN/FreeSWAN
	- fix kernel reboot for WRAP board

0.1pre4 (17 Jan 2005)
- nocatsplash 0.92
- fixed syslogd not logging 
- nat.sh: integrate with nocat

0.1pre3 (13 Jan 2005)
- new upstream Debian kernel source 2.6.8-12, with new driver patches
	- update kernel image revision to 1.2 : kernel-image-2.6.8-486-voyage_1.2_i386.deb 
	- hostap-driver 0.2.6 (update)
	- madwifi-cvs 20050109 (update)
	- rt2400 driver 1.2.1 (new)
	- ipw2100 driver 1.0.2 (new)
	- wd1100 driver (new, ported to 2.6 kernel) 
- change sarge.install to voyage.dpkg-l
- change sarge.dpkg.list to voyage.dpkg.list
- change sarge.depend.list to voyage.depend.list
- add watchdog package

0.1pre2 (6 Jan 2005)
- fix madwifi driver not loading 
- support for various config from installation script
- add lilo.conf to /etc/

0.1pre1 (2 Jan 2005)
- first preview release
- based on Debian Sarge r3.1
- 2.6.8.1 kernel
- prism54, hostap and madwifi drivers
- hostapd, wpa_supplicant from sarge
